Package: org.codehaus.groovy.transform.stc

## [Java] Class Receiver<T>

- org.codehaus.groovy.transform.stc.Receiver

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Receiver (ClassNode type)`
    `Receiver (ClassNode type, T data)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `T` | `getData()`
    `` | `ClassNode` | `getType()`
    `<T>` | `static Receiver<T>` | `make(ClassNode type)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public Receiver(ClassNode type)

    - #### public Receiver(ClassNode type, T data)

  - ### Method Detail

    - #### public T getData()

    - #### public ClassNode getType()

    - #### <T> public static Receiver<T> make(ClassNode type)

    - #### @Override public String toString()